- Development Integration
- /
- SDK
- /
- Java
- /
Management module
- /
Manage data resources and permissions
- /
- Revoke Data Policy
¶ Delete data policy authorization
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Delete data policy authorization, delete by authorization subject ID, authorization subject type and data policy ID.
¶ Method Name
ManagementClient.revokeDataPolicy
¶ Request Parameters
| Name | Type | Is it required | Default Value | Description | Example Value |
|---|---|---|---|---|---|
| targetType | string | yes | - | Subject type, including USER, GROUP, ROLE, and ORG | USER |
| targetIdentifier | string | yes | - | Subject ID, including user ID, user group ID, role ID, and organization ID | 6301cexxxxxxxxxxxxxxxxx78 |
| policyId | string | yes | - | Data Policy ID | 60b49xxxxxxxxxxxxxxx6e68 |
¶ Sample Code
package test.management.dataPermission.policy;
import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.CommonResponseDto;
import cn.authing.sdk.java.dto.DeleteAuthorizeDataPolicyDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;
public class RevokeDataPolicyTest {
// Need to be replaced with your GenAuth Access Key ID
private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
// Need to be replaced with your GenAuth Access Key Secret
private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";
public static void main(String[] args) throws Throwable {
ManagementClientOptions clientOptions = new ManagementClientOptions();
clientOptions.setAccessKeyId(ACCESS_KEY_ID);
clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
// If you are a private deployment customer, you need to set the GenAuth service domain name
// clientOptions.setHost("https://api.your-authing-service.com");
ManagementClient client = new ManagementClient(clientOptions);
DeleteAuthorizeDataPolicyDto reqDto = new DeleteAuthorizeDataPolicyDto();
reqDto.setPolicyId("60b49xxxxxxxxxxxxxxx6e68");
reqDto.setTargetType(DeleteAuthorizeDataPolicyDto.TargetType.USER);
reqDto.setTargetIdentifier("6301cexxxxxxxxxxxxxxxxx78");
CommonResponseDto response = client.revokeDataPolicy(reqDto);
System.out.println(JsonUtils.serialize(response));
}
}
¶ Request Response
Type: CommonResponseDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
Example Results:
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c"
}
